package com.ruoyi.voluntary.mapper;


import com.ruoyi.voluntary.domain.BBusiPaymentOrders;

import java.util.List;

/**
 * 在线电子卡订单Mapper接口
 * 
 * @author mingxue
 * @date 2022-08-06
 */
public interface BBusiPaymentOrdersMapper 
{
    /**
     * 查询在线电子卡订单
     * 
     * @param id 在线电子卡订单ID
     * @return 在线电子卡订单
     */
    public BBusiPaymentOrders selectBBusiPaymentOrdersById(Long id);
    public BBusiPaymentOrders selectBBusiPaymentOrdersByCardNo(String cardNo);

    /**
     * 查询在线电子卡订单列表
     * 
     * @param bBusiPaymentOrders 在线电子卡订单
     * @return 在线电子卡订单集合
     */
    public List<BBusiPaymentOrders> selectBBusiPaymentOrdersList(BBusiPaymentOrders bBusiPaymentOrders);

    /**
     * 新增在线电子卡订单
     * 
     * @param bBusiPaymentOrders 在线电子卡订单
     * @return 结果
     */
    public int insertBBusiPaymentOrders(BBusiPaymentOrders bBusiPaymentOrders);

    /**
     * 修改在线电子卡订单
     * 
     * @param bBusiPaymentOrders 在线电子卡订单
     * @return 结果
     */
    public int updateBBusiPaymentOrders(BBusiPaymentOrders bBusiPaymentOrders);

    /**
     * 删除在线电子卡订单
     * 
     * @param id 在线电子卡订单ID
     * @return 结果
     */
    public int deleteBBusiPaymentOrdersById(Long id);

    /**
     * 批量删除在线电子卡订单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiPaymentOrdersByIds(Long[] ids);
}
